org.apache.hc.core5.http.impl.io

## Class DefaultBHttpClientConnectionFactory.Builder

- java.lang.Object
- - org.apache.hc.core5.http.impl.io.DefaultBHttpClientConnectionFactory.Builder

- Enclosing class:
    DefaultBHttpClientConnectionFactory

      public static final class DefaultBHttpClientConnectionFactory.Builder
      extends Object

  Builder for `DefaultBHttpClientConnectionFactory`.
  Since:
    5.1

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DefaultBHttpClientConnectionFactory` | `build()`
    `DefaultBHttpClientConnectionFactory.Builder` | `charCodingConfig(CharCodingConfig charCodingConfig)`
    `DefaultBHttpClientConnectionFactory.Builder` | `http1Config(Http1Config http1Config)`
    `DefaultBHttpClientConnectionFactory.Builder` | `incomingContentLengthStrategy(ContentLengthStrategy incomingContentLengthStrategy)`
    `DefaultBHttpClientConnectionFactory.Builder` | `outgoingContentLengthStrategy(ContentLengthStrategy outgoingContentLengthStrategy)`
    `DefaultBHttpClientConnectionFactory.Builder` | `requestWriterFactory(HttpMessageWriterFactory<ClassicHttpRequest> requestWriterFactory)`
    `DefaultBHttpClientConnectionFactory.Builder` | `responseOutOfOrderStrategy(ResponseOutOfOrderStrategy responseOutOfOrderStrategy)`
    `DefaultBHttpClientConnectionFactory.Builder` | `responseParserFactory(HttpMessageParserFactory<ClassicHttpResponse> responseParserFactory)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### http1Config

          public DefaultBHttpClientConnectionFactory.Builder http1Config(Http1Config http1Config)

    - #### charCodingConfig

          public DefaultBHttpClientConnectionFactory.Builder charCodingConfig(CharCodingConfig charCodingConfig)

    - #### incomingContentLengthStrategy

          public DefaultBHttpClientConnectionFactory.Builder incomingContentLengthStrategy(ContentLengthStrategy incomingContentLengthStrategy)

    - #### outgoingContentLengthStrategy

          public DefaultBHttpClientConnectionFactory.Builder outgoingContentLengthStrategy(ContentLengthStrategy outgoingContentLengthStrategy)

    - #### responseOutOfOrderStrategy

          public DefaultBHttpClientConnectionFactory.Builder responseOutOfOrderStrategy(ResponseOutOfOrderStrategy responseOutOfOrderStrategy)

    - #### requestWriterFactory

          public DefaultBHttpClientConnectionFactory.Builder requestWriterFactory(HttpMessageWriterFactory<ClassicHttpRequest> requestWriterFactory)

    - #### responseParserFactory

          public DefaultBHttpClientConnectionFactory.Builder responseParserFactory(HttpMessageParserFactory<ClassicHttpResponse> responseParserFactory)

    - #### build

          public DefaultBHttpClientConnectionFactory build()

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.